/**
 * sectCode5.java - based on Dan's Code11.java
 * Jp LaFond
 * CS E-76
 *
 */

// A simple program for pretty printing a few arrays

class sectCode5 {
    public static void main(String[] args) {

	// Declare the arrays
	double[] grades;
	String[] students;

	// Allocate the memory for 5 indices
	grades   = new double[5];
	students = new String[5];

	// Assign values
	grades[0] = 100.0;
        grades[1] =  76.2;
        grades[2] =  92.13;
	grades[3] =  95.4;
	grades[4] =  14.92;

	students[0] = "Abe Abbott";
	students[1] = "Bob Baker";
	students[2] = "Carol Chase";
	students[3] = "Doug Davidson";
	students[4] = "Ed Evans";

	for (int i = 0, loopMax = grades.length;
	     i < loopMax;
	     i++) {
	    // Pretty print the records
	    //   We corrected for the array index, added further
	    //   string formatting for the names, and corrected the
	    //   size of the grade.
	    //   Note that this also gives a max for string lengths
	    //   printed as well as left justifying the names.
            System.out.printf ("[%2d] %-12.12s %6.2f\n",
			       i+1, students[i], grades[i]);
	}
    }
}